package com.pjilisense.flxai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pjilisense.flxai.base.service.impl.CrudServiceImpl;
import com.pjilisense.flxai.dao.AppToolsTypeDao;
import com.pjilisense.flxai.dto.AppToolsTypeDTO;
import com.pjilisense.flxai.entity.AppToolsTypeEntity;
import com.pjilisense.flxai.service.AppToolsTypeService;
import cn.hutool.core.util.StrUtil;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * AI应用工具集分类表
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-12
 */
@Service
public class AppToolsTypeServiceImpl extends CrudServiceImpl<AppToolsTypeDao, AppToolsTypeEntity, AppToolsTypeDTO> implements AppToolsTypeService {

    @Override
    public QueryWrapper<AppToolsTypeEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AppToolsTypeEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StrUtil.isNotBlank(id), "id", id);

        return wrapper;
    }


}